export default class PrizeItem extends eui.Component {


    constructor() {
        super()

        this.skinName = `PrizeItemSKin`
        this.width = 230;
        this.height = 180;

        this.prizeImg = new eui.Image()
        this.prizeImg.horizontalCenter = 0
        this.prizeImg.width = 120
        this.prizeImg.height = 120;
        this.prizeImg.top = 0;
        this.addChild(this.prizeImg)

        this.prizeName = new eui.Label()
        this.prizeName.textColor = 0xF9E3B5
        this.prizeName.horizontalCenter = 0
        this.prizeName.bottom = 0;
        this.addChild(this.prizeName)
    }

    public prizeImg: eui.Image;
    public prizeName: eui.Label;
}